{template 'member','header1'}
<script language="javascript">
<!--
function CheckForm() {
if ($F('reg_username') == "")
	{
	   $('tdUserNameValide').innerHTML="<p class=formtip_n>用户名不能为空";
	    return false
	 }
if ($F('reg_password') == "")
	{
	    $('tdPwdValide').innerHTML="<p class=formtip_n>密码不能为空";
	    return false
	 }
if ($F('pwdconfirm') != $F('reg_password'))
	{
	    $('tdRpwdValide').innerHTML="<p class=formtip_n>两次输入的密码不一致";
	    return false
	 }
if ($F('email') == "")
	{
	    $('tdEmailValide').innerHTML="<p class=formtip_n>邮箱地址不能为空";
	    return false
	 }
{if $MOD['enablecheckcodeofreg']}
if (myform.checkcodestr.value == "")
	{
	    $('tdCodeValide').innerHTML="<p class=formtip_n>验证码不能为空";
	    return false
	 }
{/if}
    document.myform.submit.disabled = true;
}

function checkuser(inputname)
{
    if(inputname==''){
        $('tdUserNameValide').innerHTML="<p class=formtip_n>用户名不能为空";
    }else{
        var checkurl = '{$MOD[linkurl]}register.php';
		var pars = "action=checkuser&username="+inputname;
		var myAjax = new Ajax.Request(checkurl, {method: 'post', parameters: pars, onComplete: checkmessage});
    }
}

function checkmessage(Request)
{
	if(Request.responseText == '1'){
		$('tdUserNameValide').innerHTML="<p class=formtip_n>帐号应在5-12位之间！";
		Field.clear('reg_username')
	}else if(Request.responseText == '2'){
		$('tdUserNameValide').innerHTML="<p class=formtip_n>您填写的帐号名含有非法字符";
		Field.clear('reg_username')
	}else if(Request.responseText == '3'){
		$('tdUserNameValide').innerHTML="<p class=formtip_n>您填写的帐号名已被使用";
		Field.clear('reg_username')
	}else if(Request.responseText == '4'){
		$('tdUserNameValide').innerHTML="<p class=formtip_n>您填写的帐号名被禁止使用";
		Field.clear('reg_username')
	}else if(Request.responseText == '5'){
		$('tdUserNameValide').innerHTML="<p class=formtip_n>请不要使用其它字符，必须使用英文字母或数字";
		Field.clear('reg_username')
	}else{
		$('tdUserNameValide').innerHTML="<p class=formtip_y>您注册的帐号名尚未被使用，可以注册。";
	}
}

function checkpassword()
{
    if ($F('reg_password') == "")
	{
	    $('tdPwdValide').innerHTML="<p class=formtip_n>密码不能为空";
	 }else if($F('reg_password').length <5||$F('reg_password').length>20){
	    $('tdPwdValide').innerHTML="<p class=formtip_n>密码应该在5-20位之间";
		Field.clear('reg_password')
	 }else if($F('reg_password') == $F('reg_username')){
	    $('tdPwdValide').innerHTML="<p class=formtip_n>密码不能与帐号相同";
		Field.clear('reg_password')
	}else{
	    $('tdPwdValide').innerHTML="<p class=formtip_y>可以使用的密码";
	 }
}

function checkpwdconfirm()
{
    if ($F('pwdconfirm') == "")
	{
	    $('tdRpwdValide').innerHTML="<p class=formtip_n>密码不能为空";
     }else if($F('pwdconfirm') != $F('reg_password')){
	    $('tdRpwdValide').innerHTML="<p class=formtip_n>两次密码输入不一致";
		Field.clear('pwdconfirm')
	}else{
	    $('tdRpwdValide').innerHTML="<p class=formtip_y>可以使用的密码";
	 }
}

function chk_code()
{
    if ($F('code') == "")
	{
	    $('tdCodeValide').innerHTML="<p class=formtip_n>验证码不能为空";
     }else if($F('code').length != 4){
	     $('tdCodeValide').innerHTML="<p class=formtip_n>验证码为4位";
	 }else{
	    $('tdCodeValide').innerHTML="&nbsp;";
	 }
}

function checkemail(email)
{
    if(email==''){
        $('tdEmailValide').innerHTML="<p class=formtip_n>邮箱地址不能为空";
    }else{
        var checkurl = '{$MOD[linkurl]}register.php';
		var pars = "action=checkemail&email="+email;
		var myAjax = new Ajax.Request(checkurl, {method: 'post', parameters: pars, onComplete: checkemailmessage});
    }
}

function checkemailmessage(Request)
{
	if(Request.responseText == '1'){
		 $('tdEmailValide').innerHTML="<p class=formtip_n>邮箱地址不合法";
		Field.clear('email')
	}else if(Request.responseText == '2'){
		 $('tdEmailValide').innerHTML="<p class=formtip_n>邮箱地址已被使用";
		Field.clear('email')
	}else{
		 $('tdEmailValide').innerHTML="<p class=formtip_y>可以注册的邮箱地址";
	}
}
//-->
</script>
<DIV class=main>

<form name="myform" method="post" action="{$MOD[linkurl]}register.php" onSubmit='return CheckForm();'>
<DIV class=ad_main>
<DIV class=ad_main_m>
<TABLE class=regform cellSpacing=0 cellPadding=0 width="100%" align=center 
border=0>
  <CAPTION>
  <SPAN>温馨提示：</SPAN>游戏帐号是用于登陆网站与帐号的唯一名称，一经注册不得更改！
  </CAPTION>
  <TBODY>
  <TR>
    <TH width="15%">帐号名称： </TH>
    <TD width="34%"><INPUT class=inputA id=reg_username onBlur="checkuser(this.value);" name=username style="ime-mode: disabled"> </TD>
    <TD id=tdUserNameValide width="51%"></TD></TR>
  <TR>
    <TH width="15%">&nbsp; </TH>
    <TD class=font04 colSpan=2>用于登陆通行证的帐号名称，使用英文、数字，必须以英文字开头，长度为5~12个字符。 
    </TD>
  </TR>
  <TR>
    <TH width="15%">登陆密码： </TH>
    <TD width="34%"><INPUT class=inputA id=reg_password onBlur="checkpassword();" type=password name=password> 
</TD>
    <TD id=tdPwdValide width="51%"></TD></TR>
  <TR>
    <TH width="15%">&nbsp; </TH>
    <TD class=font04 colSpan=2>汉字以外的任何字符，密码长度5~20位，字母区分大小写，密码不能与帐号名称相同。 </TD>
  </TR>
  <TR>
    <TH width="15%">重复密码： </TH>
    <TD width="34%"><INPUT class=inputA id=pwdconfirm onBlur="checkpwdconfirm();" type=password name=pwdconfirm> 
    </TD>
    <TD id=tdRpwdValide width="51%"></TD></TR>
  <TR>
    <TH width="15%">&nbsp; </TH>
    <TD class=font04 colSpan=2>再次输入密码，保证密码无误 </TD></TR>
  <TR>
    <TH width="15%">安全邮箱： </TH>
    <TD width="34%"><INPUT class=inputA id=email onBlur="checkemail(this.value);" name=email style="ime-mode: disabled"> </TD>
    <TD id=tdEmailValide width="51%"></TD></TR>
  <TR>
    <TH width="15%">&nbsp; </TH>
    <TD class=font04 colSpan=2 style="font-weight:bold;color:red">请确保该邮箱能接收邮件，如果您丢失密码，在找回密码时将会往此邮箱发送确认邮件。  </TD>
  </TR>
  <!--{if $MOD['enablecheckcodeofreg']}-->
  <TR>
    <TH width="15%">验证码： </TH>
    <TD width="34%"><INPUT class=inputB id=code onblur="chk_code()" name=checkcodestr style="ime-mode: disabled"> <img src="{HS_PATH}checkcode.php" id="checkcode" onclick="this.src='{HS_PATH}checkcode.php?id='+Math.random()*5;" style="cursor:pointer;" alt="看不清楚?请点击刷新" align="absmiddle" height=30 width=80> </TD>
    <TD id=tdCodeValide width="51%"></TD></TR>
	<!--{/if}-->
</TBODY></TABLE>
<TABLE class=regform id=divUserInfo cellSpacing=0 cellPadding=0 width="100%" 
align=center border=0>
  <TBODY>
  <TR>
    <TH>　</TH>
    <TD colSpan=2>
	<input name="dosubmit" type="hidden" id="dosubmit" value="1">
	<input name="bill" type="hidden" id="bill" value="{$bill}">
	<input name="submit" type="submit" class="hsbtn" value="确认"></TD></TR>
  <TR>
    <TH>　</TH>
    <TD colSpan=2 id=tdSubValide></TD></TR>
	  </TBODY></TABLE>
</DIV></DIV></FORM>
</DIV>
{template 'member','footer'}